function P=permind2amat(p)
% Build N-by-n-by-n permutation matrices from N-by-n permutation array 
% obtain from function pLU_Mat, pLU_Vec, ...
% see PermMatFromArray
  [N,n]=size(p);
  P=zeros(N,n,n); 
  P(sub2ind([N,n,n],repmat([1:N]',1,n),repmat(1:n,N,1),p))=1;
  P=amat(P);
end
