function plotGradBaCo3D(distribute)
  if nargin==0, distribute=true;end
  close all  % :start:
  [q3,me3,toGlobal3]=fc_meshtools.simplicial.getMesh3D(3,true);
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMesh3D(2,true);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMesh3D(1,true);
  figure(1)
  view(3)
  fc_graphics4mesh.plotmesh(q3,me3,'EdgeColor','LightGray','FaceColor','None')
  hold on
  fc_graphics4mesh.plotGradBaCo(q3,me3)
  axis image

  figure(2)
  view(3)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','LightGray','FaceColor','None')
  hold on
  fc_graphics4mesh.plotGradBaCo(q2,me2)
  axis image;axis off
  
  
  figure(3)
  fc_graphics4mesh.plotmesh(q2,me2,'EdgeColor','LightGray','FaceColor','None')
  hold on
  fc_graphics4mesh.plotGradBaCo(q1,me1)
  view(3);axis image;axis off  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
